Name:		psensor
Version:	1.2.0
Release:	5.ndias%{?dist}
Summary:	A Graphical Temperature Monitoring Application

Group:		Applications/System
License:	GPLv2
URL:		http://wpitchoune.net/psensor/
Source0:	http://wpitchoune.net/psensor/files/%{name}-%{version}.tar.gz

BuildRequires:	lm_sensors-devel, libgtop2-devel, libatasmart-devel
BuildRequires:	libudisks2-devel, libXext-devel, libX11-devel, gtk3-devel
BuildRequires:	libnotify-devel, libcurl-devel, json-c-devel
BuildRequires:	libappindicator-gtk3-devel, libmicrohttpd-devel

%description
Psensor is a graphical hardware monitoring application for Linux.

It draws realtime charts and raises alerts about:

 * the temperature of the motherboard and CPU sensors (using
   lm-sensors).
 * the temperature of the NVidia GPUs (using XNVCtrl).
 * the temperature of ATI GPUs (using ATI ADL SDK).
 * the temperature of the Hard Disk Drives (using hddtemp, libatasmart
   or udisks2).
 * the rotation speed of the fans.
 * the temperature of a remote computer.
 * the CPU load.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install

%find_lang  %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS NEWS.html README README.html

%{_bindir}/%{name}
%{_bindir}/%{name}-server
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}*.svg
%{_datadir}/icons/ubuntu-mono-dark/apps/22/%{name}*.svg
%{_datadir}/icons/ubuntu-mono-dark/status/22/%{name}*.svg
%{_datadir}/icons/ubuntu-mono-light/status/22/%{name}*.svg
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}-server.1.gz
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/www/favicon.ico
%{_datadir}/%{name}/www/*.html
%{_datadir}/%{name}/www/*.css
%{_datadir}/%{name}/www/*.js
%{_docdir}/%{name}/TODO.txt
%{_docdir}/%{name}/TODO.html
%{_docdir}/%{name}/faq.html
%{_docdir}/%{name}/faq.txt
%exclude %{_docdir}/%{name}/INSTALL

%changelog
* Sat Sep 23 2017 Nuno Dias <Nuno.Dias@gmail.com> - 1.2.0-5.ndias
- Version 1.2.0
